import {
  isBrowser
} from "./chunk-YKE4UGGF.js";
import {
  getGlobalLogger
} from "./chunk-VAS3X5GJ.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-LWGUETUB.js";
import {
  LoggerBrowserHandler
} from "./chunk-J2IAP56U.js";
import {
  isEmpty
} from "./chunk-EOHXRMVQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-W53A7LVB.js.map