"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunk66YRDFQPcjs = require('./chunk-66YRDFQP.cjs');

// src/common/data/datauri.ts
function dataUriToUint8Array(dataUri) {
  if (dataUri.startsWith("data:"))
    return _chunk66YRDFQPcjs.fromBase64.call(void 0, dataUri.split(",", 2)[1]);
}
function dataUriToMimeType(dataUri) {
  if (dataUri.startsWith("data:"))
    return dataUri.slice(5).split(",", 2)[0];
}
function dataUriToBlob(dataUri) {
  if (dataUri.startsWith("data:")) {
    const [mimeString, base64String] = dataUri.slice(5).split(",", 2);
    return new Blob([_chunk66YRDFQPcjs.fromBase64.call(void 0, base64String)], { type: mimeString });
  }
}
async function blobToDataUri(blob) {
  const bin = await blob.arrayBuffer();
  if (bin)
    return `data:${blob.type},${_chunk66YRDFQPcjs.toBase64.call(void 0, bin)}`;
}
function Uint8ArrayToDataUri(bin, type = "application/octet-stream") {
  return `data:${type},${_chunk66YRDFQPcjs.toBase64.call(void 0, bin)}`;
}







exports.dataUriToUint8Array = dataUriToUint8Array; exports.dataUriToMimeType = dataUriToMimeType; exports.dataUriToBlob = dataUriToBlob; exports.blobToDataUri = blobToDataUri; exports.Uint8ArrayToDataUri = Uint8ArrayToDataUri;
//# sourceMappingURL=chunk-3SM3C7HY.cjs.map