"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunk37DK2SKCcjs = require('./chunk-37DK2SKC.cjs');




var _chunkJSBFJVKMcjs = require('./chunk-JSBFJVKM.cjs');

// src/common/log/log-console.ts
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _chunk37DK2SKCcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunk37DK2SKCcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _chunkJSBFJVKMcjs.LogLevelInfo:
        console.info(..._chunk37DK2SKCcjs.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _chunkJSBFJVKMcjs.LogLevelWarn:
        console.warn(..._chunk37DK2SKCcjs.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _chunkJSBFJVKMcjs.LogLevelError:
        console.error(..._chunk37DK2SKCcjs.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        console.debug(..._chunk37DK2SKCcjs.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}



exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=chunk-BKBCRA55.cjs.map