"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkBKBCRA55cjs = require('./chunk-BKBCRA55.cjs');



var _chunk37DK2SKCcjs = require('./chunk-37DK2SKC.cjs');







var _chunkJSBFJVKMcjs = require('./chunk-JSBFJVKM.cjs');


var _chunkPOMZSIODcjs = require('./chunk-POMZSIOD.cjs');

// src/common/log/log-context.ts
function LoggerContext(_prefix = "") {
  let logHandlers = [_chunkBKBCRA55cjs.LoggerConsoleHandler.call(void 0, )];
  let logCheckNamespace = (_name) => true;
  let logLock = false;
  let logFactory = LoggerBaseFactory;
  let logDebug = false;
  function LoggerBaseFactory(name = "", level) {
    const logLevel = _chunk37DK2SKCcjs.parseLogLevel.call(void 0, _nullishCoalesce(level, () => ( _chunkJSBFJVKMcjs.LogLevelAll)));
    function defineForLogLevel(fnLevel, fn) {
      if (logLevel <= fnLevel)
        return fn;
      return () => {
      };
    }
    const emit = (msg) => {
      if (logCheckNamespace(name)) {
        for (const handler of logHandlers) {
          if (handler)
            handler(msg);
        }
      }
    };
    const log = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelDebug, (...messages) => {
      emit({
        name,
        messages,
        level: _chunkJSBFJVKMcjs.LogLevelDebug
      });
    });
    log.label = name;
    log.extend = function(prefix) {
      return logFactory(name ? `${name}:${prefix}` : prefix);
    };
    log.debug = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelDebug, (...messages) => {
      emit({ name, messages, level: _chunkJSBFJVKMcjs.LogLevelDebug });
    });
    log.info = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelInfo, (...messages) => {
      emit({ name, messages, level: _chunkJSBFJVKMcjs.LogLevelInfo });
    });
    log.warn = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelWarn, (...messages) => {
      emit({ name, messages, level: _chunkJSBFJVKMcjs.LogLevelWarn });
    });
    log.error = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelError, (...messages) => {
      emit({ name, messages, level: _chunkJSBFJVKMcjs.LogLevelError });
    });
    log.fatal = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelFatal, (...messages) => {
      emit({ name, messages, level: _chunkJSBFJVKMcjs.LogLevelFatal });
      throw new Error(`${messages.map(String).join(" ")}`);
    });
    log.assert = defineForLogLevel(_chunkJSBFJVKMcjs.LogLevelFatal, (condition, ...args) => {
      if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
        log.fatal(...args);
    });
    return log;
  }
  function Logger(name = "", level) {
    const log = logFactory(name, level);
    if (logDebug)
      log.debug(`+++ init of logger "${name}" on level "${log.level}".`);
    return log;
  }
  Logger.registerHandler = function(handler) {
    logHandlers.push(handler);
  };
  Logger.setFilter = function(namespaces) {
    logCheckNamespace = _chunk37DK2SKCcjs.useNamespaceFilter.call(void 0, namespaces);
  };
  Logger.setLock = (lock = true) => logLock = lock;
  Logger.setDebug = (debug = true) => logDebug = debug;
  Logger.setHandlers = (handlers) => {
    if (logFactory !== LoggerBaseFactory)
      logFactory = LoggerBaseFactory;
    if (handlers != null && !logLock)
      logHandlers = [...handlers].filter(_chunkPOMZSIODcjs.isNotNull);
  };
  Logger.level = _chunkJSBFJVKMcjs.LogLevelAll;
  Logger.setLogLevel = function(level = _chunkJSBFJVKMcjs.LogLevelAll) {
    if (logLock)
      return;
    Logger.level = level;
  };
  Logger.setFactory = function(factory) {
    if (logLock)
      return;
    logFactory = factory;
  };
  return Logger;
}



exports.LoggerContext = LoggerContext;
//# sourceMappingURL=chunk-RJM35BFG.cjs.map