// src/common/data/regexp.ts
var rxEscape = /[\\\-\[\]\/{}()*+?.^$|]/g;
function escapeRegExp(value) {
  if (!value)
    return "";
  if (value instanceof RegExp)
    return value.source;
  return value.replace(rxEscape, "\\$&");
}

export {
  escapeRegExp
};
//# sourceMappingURL=chunk-ZMFW3O35.js.map